using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训效果评估表
    /// </summary>
    [Description("培训效果评估表")]
    public class T_SE_TRAINING_EFFECT_EVALUATION : MesEntityBase
    {
        /// <summary>
        /// 培训名称
        /// </summary>
        [Description("培训名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }
        /// <summary>
        /// 调查份数
        /// </summary>
        [Description("调查份数")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public int SURVEY_NUMS { get; set; }
        /// <summary>
        /// 反馈份数
        /// </summary>
        [Description("反馈份数")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public int FEEDBACK_NUMS { get; set; }
        /// <summary>
        /// 反馈比例
        /// </summary>
        [Description("反馈比例")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string FEEDBACK_RATIO { get; set; }
        /// <summary>
        /// 调查时间
        /// </summary>
        [Description("调查时间")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime? START_TIME { get; set; }
        /// <summary>
        /// 培训效果调查表ID
        /// </summary>
        [Description("培训效果调查表ID")]
        public Guid? SURVEY_ID { get; set; }
        /// 导航: 培训效果评估表评估结果
        /// </summary>
        [Description("导航: 培训效果评估表评估结果表")]
        [FormFieldEdit]
        public ICollection<T_SE_TRAINING_EFFECT_EVALUATION_END> Nav_ResultList { get; set; }
        /// <summary>
        /// 导航: 培训效果评估表培训改进意见表
        /// </summary>
        [Description("导航: 培训效果评估表培训改进意见表")]
        [FormFieldEdit]
        public ICollection<T_SE_TRAINING_EFFECT_EVALUATION_OPINION> Nav_OpinionList { get; set; }
    }
}
